Epidemic forecasting from multiple data sources
===============================================

Description
-----------

This generates epidemic forecasts with mechanistic infection models.

**IMPORTANT:** note that the original data files cannot be provided, as the
authors do not have permission to distribute these data.

License
-------

The code is distributed under the terms of the BSD 3-Clause license (see
`LICENSE`).

Dependencies
------------

This package requires
[pypfilt](http://bitbucket.org/robmoss/particle-filter-for-python/) == 0.4.2 and
[epifx](http://bitbucket.org/robmoss/epidemic-forecasting-for-python) == 0.4.2.

Example
-------

A demo data file has been included in `demo-data.ssv`. The particle filter can
be run with this demo data with

```
./forecast.py --disp 100 --dates 2015-05-01 2015-10-04 --R0-max 1.5 --out-file demo-data.hdf5 --resample-table stratified --obs-bg 64 --observation-file demo-data.ssv --regularisation --pr-notif-inf 0.005 --predictive-cis
```

A simple visualisation of the results can be produced with 

```
Rscript plot-demo-data.R
```